import request from '@/utils/request'

// 创建预算管理
export function createBudget(data) {
  return request({
    url: '/bs/budget/create',
    method: 'post',
    data: data
  })
}

// 更新预算管理
export function updateBudget(data) {
  return request({
    url: '/bs/budget/update',
    method: 'put',
    data: data
  })
}

// 删除预算管理
export function deleteBudget(id) {
  return request({
    url: '/bs/budget/delete?id=' + id,
    method: 'delete'
  })
}

// 获得预算管理
export function getBudget(id) {
  return request({
    url: '/bs/budget/get?id=' + id,
    method: 'get'
  })
}

// 获得预算管理分页
export function getBudgetPage(query) {
  return request({
    url: '/bs/budget/page',
    method: 'get',
    params: query
  })
}

// 导出预算管理 Excel
export function exportBudgetExcel(query) {
  return request({
    url: '/bs/budget/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
