import request from '@/utils/request'

// 创建费用控制
export function createFeeManage(data) {
  return request({
    url: '/bs/fee-manage/create',
    method: 'post',
    data: data
  })
}

// 更新费用控制
export function updateFeeManage(data) {
  return request({
    url: '/bs/fee-manage/update',
    method: 'put',
    data: data
  })
}

// 删除费用控制
export function deleteFeeManage(id) {
  return request({
    url: '/bs/fee-manage/delete?id=' + id,
    method: 'delete'
  })
}

// 获得费用控制
export function getFeeManage(id) {
  return request({
    url: '/bs/fee-manage/get?id=' + id,
    method: 'get'
  })
}

// 获得费用控制分页
export function getFeeManagePage(query) {
  return request({
    url: '/bs/fee-manage/page',
    method: 'get',
    params: query
  })
}

// 导出费用控制 Excel
export function exportFeeManageExcel(query) {
  return request({
    url: '/bs/fee-manage/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
