import request from '@/utils/request'

// 创建物料
export function createMateriel(data) {
  return request({
    url: '/bs/materiel/create',
    method: 'post',
    data: data
  })
}

// 更新物料
export function updateMateriel(data) {
  return request({
    url: '/bs/materiel/update',
    method: 'put',
    data: data
  })
}

// 删除物料
export function deleteMateriel(id) {
  return request({
    url: '/bs/materiel/delete?id=' + id,
    method: 'delete'
  })
}

// 获得物料
export function getMateriel(id) {
  return request({
    url: '/bs/materiel/get?id=' + id,
    method: 'get'
  })
}

// 获得物料分页
export function getMaterielPage(query) {
  return request({
    url: '/bs/materiel/page',
    method: 'get',
    params: query
  })
}

// 导出物料 Excel
export function exportMaterielExcel(query) {
  return request({
    url: '/bs/materiel/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
