import request from '@/utils/request'

// 创建电子档案附件
export function createElectronicAttachment(data) {
  return request({
    url: '/ea/electronic-attachment/create',
    method: 'post',
    data: data
  })
}

// 更新电子档案附件
export function updateElectronicAttachment(data) {
  return request({
    url: '/ea/electronic-attachment/update',
    method: 'put',
    data: data
  })
}

// 删除电子档案附件
export function deleteElectronicAttachment(id) {
  return request({
    url: '/ea/electronic-attachment/delete?id=' + id,
    method: 'delete'
  })
}

// 获得电子档案附件
export function getElectronicAttachment(id) {
  return request({
    url: '/ea/electronic-attachment/get?id=' + id,
    method: 'get'
  })
}

// 获得电子档案附件分页
export function getElectronicAttachmentPage(query) {
  return request({
    url: '/ea/electronic-attachment/page',
    method: 'get',
    params: query
  })
}

// 导出电子档案附件 Excel
export function exportElectronicAttachmentExcel(query) {
  return request({
    url: '/ea/electronic-attachment/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
