import request from '@/utils/request'

// 创建其他档案
export function createElectronicOther(data) {
  return request({
    url: '/ea/electronic-other/create',
    method: 'post',
    data: data
  })
}

// 更新其他档案
export function updateElectronicOther(data) {
  return request({
    url: '/ea/electronic-other/update',
    method: 'put',
    data: data
  })
}

// 删除其他档案
export function deleteElectronicOther(id) {
  return request({
    url: '/ea/electronic-other/delete?id=' + id,
    method: 'delete'
  })
}

// 获得其他档案
export function getElectronicOther(id) {
  return request({
    url: '/ea/electronic-other/get?id=' + id,
    method: 'get'
  })
}

// 获得其他档案分页
export function getElectronicOtherPage(query) {
  return request({
    url: '/ea/electronic-other/page',
    method: 'get',
    params: query
  })
}

// 导出其他档案 Excel
export function exportElectronicOtherExcel(query) {
  return request({
    url: '/ea/electronic-other/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
