import request from '@/utils/request'

// 创建档案柜管理
export function createDepotCabinet(data) {
  return request({
    url: '/setting/depot-cabinet/create',
    method: 'post',
    data: data
  })
}

// 更新档案柜管理
export function updateDepotCabinet(data) {
  return request({
    url: '/setting/depot-cabinet/update',
    method: 'put',
    data: data
  })
}

// 删除档案柜管理
export function deleteDepotCabinet(id) {
  return request({
    url: '/setting/depot-cabinet/delete?id=' + id,
    method: 'delete'
  })
}

// 获得档案柜管理
export function getDepotCabinet(id) {
  return request({
    url: '/setting/depot-cabinet/get?id=' + id,
    method: 'get'
  })
}

// 获得档案柜管理分页
export function getDepotCabinetPage(query) {
  return request({
    url: '/setting/depot-cabinet/page',
    method: 'get',
    params: query
  })
}

// 导出档案柜管理 Excel
export function exportDepotCabinetExcel(query) {
  return request({
    url: '/setting/depot-cabinet/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
