import Layout from "@/layout";

export const oaRouter = [
    // 供应商合同审批单
    {
        path: '/supplierTb',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            {
                path: 'add',
                component: () => import('@/views/procurement/supplierTb'),
                name: 'supplierCt',
                meta: { title: '供应商合同审批单', activeMenu: '/procurement/supplierCt' }
            },
            {
                path: 'show',
                component: () => import('@/views/procurement/supplierTb'),
                // component: (resolve) => require(['@/views/mall/product/property/value'], resolve),
                name: 'supplierCtShow',
                meta: { title: '供应商合同', activeMenu: '/procurement/supplierCt' }
            },
            {
                path: 'edit/:id',
                component: () => import('@/views/procurement/supplierTb'),
                name: 'supplierCt',
                meta: { title: '供应商合同审批单', activeMenu: '/procurement/supplierCt' }
            },
        ]
    },

    // 付款申请审批单
    {
        path: '/payApply',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            {
                path: 'add',
                component: () => import('@/views/procurement/payApply/form'),
                name: 'payApply',
                meta: { title: '付款申请审批单', activeMenu: '/procurement/payApply' }
            },
            {
                path: 'edit',
                component: () => import('@/views/procurement/payApply/form'),
                name: 'payApply',
                meta: { title: '付款申请审批单', activeMenu: '/procurement/payApply' }
            },
            {
                path: 'show',
                component: () => import('@/views/procurement/payApply/form'),
                name: 'payApply',
                meta: { title: '付款申请', activeMenu: '/procurement/payApply' }
            },
        ]
    },

    // 报价单
    {
        path: '/bs',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            {
                path: 'edit',
                component: () => import('@/views/bs/invoice/components/form'),
                meta: { title: '', activeMenu: '/bs/invoice' }
            }
        ]
    },

    // 申请单
    {
        path: '/bs',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            // 出差申请单
            {
                path: 'expenseApply/business',
                component: () => import('@/views/bs/expenseApply/components/form'),
                meta: { title: '', activeMenu: '/bs/expenseApply' }
            },
            // 报销申请单
            {
                path: 'expenseClaim/account',
                component: () => import('@/views/bs/expenseClaim/components/form'),
                meta: { title: '', activeMenu: '/bs/expenseApply' }
            },
        ]
    },


    // 报价申请单
    {
        path: '/bs',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            // 内部申请单
            {
                path: 'quotationSheet/in',
                component: () => import('@/views/bs/quotationSheet/components/form'),
                meta: { title: '', activeMenu: '/bs/quotationSheet' }
            },
            // 外部申请单
            {
                path: 'quotationSheet/out',
                component: () => import('@/views/bs/quotationSheet/components/form'),
                meta: { title: '', activeMenu: '/bs/quotationSheet' }
            },
        ]
    },

    // 报价中标审批单
    {
        path: '/bs',
        component: Layout,
        hidden: true,
        permissions: ['*'],
        children: [
            // 内部申请单
            {
                path: 'quotationSheetBidding/in',
                component: () => import('@/views/bs/quotationSheetBidding/components/form'),
                meta: { title: '', activeMenu: '/bs/quotationSheetBidding' }
            },
            // 外部申请单
            {
                path: 'quotationSheetBidding/out',
                component: () => import('@/views/bs/quotationSheetBidding/components/form'),
                meta: { title: '', activeMenu: '/bs/quotationSheetBidding' }
            },
        ]
    },



]
